Package org.etsi.uri._01903.v1_3

# Class CertificateValuesType

java.lang.Object
org.etsi.uri._01903.v1_3.CertificateValuesType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class CertificateValuesType extends Object implements Serializable

Java class for CertificateValuesType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateValuesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element name="EncapsulatedX509Certificate" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType"/>
             <element name="OtherCertificate" type="{http://uri.etsi.org/01903/v1.3.2#}AnyType"/>
           </choice>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateValuesType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Serializable>`
  `getEncapsulatedX509CertificatesAndOtherCertificates()`
  Gets the value of the encapsulatedX509CertificatesAndOtherCertificates property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateValuesType

    public CertificateValuesType()

- ## Method Details

  - ### getEncapsulatedX509CertificatesAndOtherCertificates

    public List<Serializable> getEncapsulatedX509CertificatesAndOtherCertificates()
    Gets the value of the encapsulatedX509CertificatesAndOtherCertificates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encapsulatedX509CertificatesAndOtherCertificates property.

    For example, to add a new item, do as follows:

         getEncapsulatedX509CertificatesAndOtherCertificates().add(newItem);

    Objects of the following type(s) are allowed in the list `Any` `EncapsulatedPKIData`

    Returns:
      The value of the encapsulatedX509CertificatesAndOtherCertificates property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`